Bug 1473716 - [abrt] gnome-shell: js::GCMethods<JSObject*>::needsPostBarrier(): gnome-shell killed by signal 11
[abrt] gnome-shell: js::GCMethods<JSObject*>::needsPostBarrier(): gnome-shell...
Status: CLOSED DUPLICATE of bug 1444365
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:77d35a4fd49af2d1d105f7eeb21...
:
: 1474071 1474223 1474700 1475019 1475643 1475964 1476928 1477327 1477622 1477746 1478299 1478747 1479946 1480075 1480899 1481024 1481049 1481312 1481326 1481738 1482129 1482384 1482496 1482566 1482662 1483265 1486040 1487488 1489999 1491086 1493066 1494625 1498188 1498202 1499938 1501848 1502593 1504751 1507423 1514982 1549405 1555172 1559666 1563850 1565423 1566780 1569950 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-21 09:40 EDT by Tom Bentley
Modified: 2018-04-20 07:13 EDT (History)
44 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-21 09:53:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (73.08 KB, text/plain)
2017-07-21 09:40 EDT, Tom Bentley
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-21 09:40 EDT, Tom Bentley
no flags Details
File: core_backtrace (42.53 KB, text/plain)
2017-07-21 09:40 EDT, Tom Bentley
no flags Details
File: cpuinfo (1.14 KB, text/plain)
2017-07-21 09:40 EDT, Tom Bentley
no flags Details
File: dso_list (27.67 KB, text/plain)
2017-07-21 09:40 EDT, Tom Bentley
no flags Details
File: environ (1.75 KB, text/plain)
2017-07-21 09:40 EDT, Tom Bentley
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-21 09:40 EDT, Tom Bentley
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-21 09:40 EDT, Tom Bentley
no flags Details
File: maps (129.48 KB, text/plain)
2017-07-21 09:40 EDT, Tom Bentley
no flags Details
File: open_fds (5.15 KB, text/plain)
2017-07-21 09:40 EDT, Tom Bentley
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-07-21 09:40 EDT, Tom Bentley
no flags Details
File: var_log_messages (315 bytes, text/plain)
2017-07-21 09:40 EDT, Tom Bentley
no flags Details

  None (edit)
Description Tom Bentley 2017-07-21 09:40:20 EDT
Description of problem:
This happens spontaneously, seemingly independent of what I'm doing.

Version-Release number of selected component:
gnome-shell-3.24.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        gnome-shell --sm-client-id 10d175c40332d5439414830254395476700000013580000
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=46de5a73db2543ff838724955950c7cf;i=1082f8;b=d968b195acce4a77a83537bd231ad684;m=6f1a244b2;t=554d32f2a8194;x=6f00a7ed05f949eb
kernel:         4.11.10-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 js::GCMethods<JSObject*>::needsPostBarrier at /usr/include/mozjs-38/js/RootingAPI.h:663
 #1 JS::Heap<JSObject*>::set at /usr/include/mozjs-38/js/RootingAPI.h:296
 #2 JS::Heap<JSObject*>::operator= at /usr/include/mozjs-38/js/RootingAPI.h:266
 #3 GjsMaybeOwned<JSObject*>::reset at gjs/jsapi-util-root.h:267
 #4 closure_clear_idle at gi/closure.cpp:133
 #10 meta_run at core/main.c:648

Potential duplicate: bug 1456293
Comment 1 Tom Bentley 2017-07-21 09:40:28 EDT
Created attachment 1302397 [details]
File: backtrace
Comment 2 Tom Bentley 2017-07-21 09:40:29 EDT
Created attachment 1302398 [details]
File: cgroup
Comment 3 Tom Bentley 2017-07-21 09:40:32 EDT
Created attachment 1302399 [details]
File: core_backtrace
Comment 4 Tom Bentley 2017-07-21 09:40:34 EDT
Created attachment 1302400 [details]
File: cpuinfo
Comment 5 Tom Bentley 2017-07-21 09:40:36 EDT
Created attachment 1302401 [details]
File: dso_list
Comment 6 Tom Bentley 2017-07-21 09:40:38 EDT
Created attachment 1302402 [details]
File: environ
Comment 7 Tom Bentley 2017-07-21 09:40:40 EDT
Created attachment 1302403 [details]
File: exploitable
Comment 8 Tom Bentley 2017-07-21 09:40:41 EDT
Created attachment 1302404 [details]
File: limits
Comment 9 Tom Bentley 2017-07-21 09:40:47 EDT
Created attachment 1302405 [details]
File: maps
Comment 10 Tom Bentley 2017-07-21 09:40:48 EDT
Created attachment 1302406 [details]
File: open_fds
Comment 11 Tom Bentley 2017-07-21 09:40:50 EDT
Created attachment 1302407 [details]
File: proc_pid_status
Comment 12 Tom Bentley 2017-07-21 09:40:51 EDT
Created attachment 1302408 [details]
File: var_log_messages
Comment 13 Florian Müllner 2017-07-21 09:53:16 EDT

*** This bug has been marked as a duplicate of bug 1444365 ***
Comment 14 tony 2017-07-23 10:53:20 EDT
*** Bug 1474071 has been marked as a duplicate of this bug. ***
Comment 15 Milan Kerslager 2017-07-24 03:36:40 EDT
*** Bug 1474223 has been marked as a duplicate of this bug. ***
Comment 16 sujit 2017-07-25 04:02:25 EDT
*** Bug 1474700 has been marked as a duplicate of this bug. ***
Comment 17 javiertury 2017-07-25 17:05:27 EDT
*** Bug 1475019 has been marked as a duplicate of this bug. ***
Comment 18 sujit 2017-07-27 00:42:24 EDT
*** Bug 1475643 has been marked as a duplicate of this bug. ***
Comment 19 Tim 2017-07-27 12:04:02 EDT
*** Bug 1475964 has been marked as a duplicate of this bug. ***
Comment 20 Leonardo Avellar 2017-07-31 16:50:47 EDT
*** Bug 1476928 has been marked as a duplicate of this bug. ***
Comment 21 Jeroen Vermeulen 2017-08-01 15:37:41 EDT
*** Bug 1477327 has been marked as a duplicate of this bug. ***
Comment 22 Paulo Toledo 2017-08-02 09:35:21 EDT
*** Bug 1477622 has been marked as a duplicate of this bug. ***
Comment 23 Tim 2017-08-02 15:37:19 EDT
*** Bug 1477746 has been marked as a duplicate of this bug. ***
Comment 24 fly 2017-08-04 04:38:23 EDT
*** Bug 1478299 has been marked as a duplicate of this bug. ***
Comment 25 trivialfis 2017-08-06 16:35:17 EDT
*** Bug 1478747 has been marked as a duplicate of this bug. ***
Comment 26 Eduardo Medina 2017-08-09 15:35:03 EDT
*** Bug 1479946 has been marked as a duplicate of this bug. ***
Comment 27 Jonathon B. 2017-08-10 01:47:00 EDT
*** Bug 1480075 has been marked as a duplicate of this bug. ***
Comment 28 Patrick Stanistreet 2017-08-12 14:05:35 EDT
*** Bug 1480899 has been marked as a duplicate of this bug. ***
Comment 29 Marco Somoza 2017-08-13 11:14:30 EDT
*** Bug 1481024 has been marked as a duplicate of this bug. ***
Comment 30 Tony 2017-08-13 18:12:56 EDT
*** Bug 1481049 has been marked as a duplicate of this bug. ***
Comment 31 Ojvar 2017-08-14 10:48:54 EDT
*** Bug 1481312 has been marked as a duplicate of this bug. ***
Comment 32 Renato Marcandier 2017-08-14 11:31:01 EDT
*** Bug 1481326 has been marked as a duplicate of this bug. ***
Comment 33 Marcus Engelke 2017-08-15 11:00:30 EDT
*** Bug 1481738 has been marked as a duplicate of this bug. ***
Comment 34 Eduardo Medina 2017-08-16 10:14:33 EDT
*** Bug 1482129 has been marked as a duplicate of this bug. ***
Comment 35 Viktor Vidineev 2017-08-17 03:02:47 EDT
*** Bug 1482384 has been marked as a duplicate of this bug. ***
Comment 36 EduardoF 2017-08-17 08:27:41 EDT
*** Bug 1482496 has been marked as a duplicate of this bug. ***
Comment 37 Chaïmaa 2017-08-17 11:11:44 EDT
*** Bug 1482566 has been marked as a duplicate of this bug. ***
Comment 38 me 2017-08-17 16:20:36 EDT
*** Bug 1482662 has been marked as a duplicate of this bug. ***
Comment 39 Ralph Koterwa 2017-08-19 16:19:40 EDT
*** Bug 1483265 has been marked as a duplicate of this bug. ***
Comment 40 Ingvar 2017-08-28 16:04:32 EDT
*** Bug 1486040 has been marked as a duplicate of this bug. ***
Comment 41 mysteo 2017-09-01 01:29:05 EDT
*** Bug 1487488 has been marked as a duplicate of this bug. ***
Comment 42 Air 2017-09-08 22:41:45 EDT
*** Bug 1489999 has been marked as a duplicate of this bug. ***
Comment 43 Andrew Haninger 2017-09-12 22:40:20 EDT
*** Bug 1491086 has been marked as a duplicate of this bug. ***
Comment 44 Karl-Heinz Hoetzel 2017-09-19 05:42:36 EDT
*** Bug 1493066 has been marked as a duplicate of this bug. ***
Comment 45 Dmitriy 2017-09-22 12:36:27 EDT
*** Bug 1494625 has been marked as a duplicate of this bug. ***
Comment 46 Juwon Lee 2017-10-03 12:35:01 EDT
*** Bug 1498188 has been marked as a duplicate of this bug. ***
Comment 47 Paul Nodine 2017-10-03 13:56:39 EDT
*** Bug 1498202 has been marked as a duplicate of this bug. ***
Comment 48 rguinchard 2017-10-09 11:23:33 EDT
*** Bug 1499938 has been marked as a duplicate of this bug. ***
Comment 49 Felip Moll 2017-10-13 06:39:49 EDT
*** Bug 1501848 has been marked as a duplicate of this bug. ***
Comment 50 go_array 2017-10-16 05:59:41 EDT
*** Bug 1502593 has been marked as a duplicate of this bug. ***
Comment 51 UnSpring 2017-10-20 10:30:51 EDT
*** Bug 1504751 has been marked as a duplicate of this bug. ***
Comment 52 Augustus Huang 2017-10-30 04:53:41 EDT
*** Bug 1507423 has been marked as a duplicate of this bug. ***
Comment 53 moonl1ght 2017-11-19 16:08:41 EST
*** Bug 1514982 has been marked as a duplicate of this bug. ***
Comment 54 canchang 2018-02-26 22:07:18 EST
*** Bug 1549405 has been marked as a duplicate of this bug. ***
Comment 55 canchang 2018-03-14 01:32:09 EDT
*** Bug 1555172 has been marked as a duplicate of this bug. ***
Comment 56 Shecks 2018-03-22 20:47:08 EDT
*** Bug 1559666 has been marked as a duplicate of this bug. ***
Comment 57 Wallace Hermano 2018-04-04 17:19:16 EDT
*** Bug 1563850 has been marked as a duplicate of this bug. ***
Comment 58 canchang 2018-04-09 22:16:16 EDT
*** Bug 1565423 has been marked as a duplicate of this bug. ***
Comment 59 canchang 2018-04-12 21:19:42 EDT
*** Bug 1566780 has been marked as a duplicate of this bug. ***
Comment 60 mengxin 2018-04-20 07:13:42 EDT
*** Bug 1569950 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.